# Uses of Interface
javax.xml.crypto.dsig.XMLSignContext

Packages that use XMLSignContext
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.dom
DOM-specific classes for the `javax.xml.crypto.dsig` package.

## Uses of XMLSignContext in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig with parameters of type XMLSignContext
Modifier and Type
Method
Description
`void`
XMLSignature.`sign​(XMLSignContext signContext)`
Signs this `XMLSignature`.

## Uses of XMLSignContext in javax.xml.crypto.dsig.dom

Classes in javax.xml.crypto.dsig.dom that implement XMLSignContext
Modifier and Type
Class
Description
`class`
`DOMSignContext`
A DOM-specific `XMLSignContext`.